summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'check-cards')
-rwxr-xr-xcheck-cards10
1 files changed, 10 insertions, 0 deletions
diff --git a/check-cards b/check-cards
new file mode 100755
index 0000000..0004907
--- /dev/null
+++ b/check-cards
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+awk -F \" '/"Card:/ { print $2 }' pcitable | sed "s|Card:||g" | sort -u | \
+ while read card ; do
+ export err=
+ if ! grep -q "^NAME $card" Cards ; then
+ echo "Error: Card $card not found in CardsDB"
+ exit 1
+ fi
+ done